#
# spec file for package perl-MooX-StrictConstructor
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name MooX-StrictConstructor
Name:           perl-MooX-StrictConstructor
Version:        0.13.0
Release:        1.4
# 0.013 -> normalize -> 0.13.0
%define cpan_version 0.013
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Make your Moo-based object constructors blow up on unknown attributes
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moo) >= 2.004000
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Moo) >= 2.004000
Requires:       perl(Moo::Role)
Provides:       perl(MooX::StrictConstructor) = %{version}
Provides:       perl(MooX::StrictConstructor::Role::BuildAll) = %{version}
Provides:       perl(MooX::StrictConstructor::Role::Constructor) = %{version}
Provides:       perl(MooX::StrictConstructor::Role::Constructor::Base) = %{version}
Provides:       perl(MooX::StrictConstructor::Role::Constructor::Late) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Simply loading this module makes your constructors "strict". If your
constructor is called with an attribute init argument that your class does
not declare, then it dies. This is a great way to catch small typos.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sat Oct 19 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.13.0 (0.013)
  see /usr/share/doc/packages/perl-MooX-StrictConstructor/Changes
* Wed Mar 11 2020 <timueller+perl@suse.de>
- updated to 0.011
  see /usr/share/doc/packages/perl-MooX-StrictConstructor/Changes
  0.011     2020-03-10 09:38:39-07:00 America/Los_Angeles
  - Switched from Carp::confess to die in order to avoid leaking
    sensitive data via stack traces. The previous behavior can be
    enabled in an application by using Carp::Always.  Thanks
    @jrubinator!
* Fri Apr  6 2018 coolo@suse.com
- updated to 0.010
  see /usr/share/doc/packages/perl-MooX-StrictConstructor/Changes
  0.010     2018-03-25 10:15:40-07:00 America/Los_Angeles
  - Undo the previous "fix" for the minimum perl version.
    The basic requirement is for 5.004 but the tests require
    5.006.
* Sun Mar 25 2018 coolo@suse.com
- updated to 0.009
  see /usr/share/doc/packages/perl-MooX-StrictConstructor/Changes
  0.009     2018-03-24 14:12:47-07:00 America/Los_Angeles
  - Built using current Dist::Zilla, so various things
    are better, e.g. includes a LICENSE.
  - A couple of things that are only used in xt tests
    used to be test requirements, now their develop
    requirements.
  - No longer includes explicit dependencies on a handful
    of modules (e.g. indirect) that Moo's use of strictures
    used to require.
  - Now only includes a Makefile.PL.
  - The build now includes a cpanfile in the repo.
  - The minimum perl version is now consistent between the
    Makefile.PL and the META.{yml,json} files.
* Wed May 13 2015 coolo@suse.com
- updated to 0.008
  see /usr/share/doc/packages/perl-MooX-StrictConstructor/Changes
  0.008     2015-05-11 08:22:24-07:00 America/Los_Angeles
  - Improve the POD about bugs and incompatibilities.
  0.007     2015-05-03 15:01:45-07:00 America/Los_Angeles
  - Ask dzil to build me a Makefile.PL too.
  - Include Tim Bunce's efficiency and error messaging
    patch.
  - Typos in POD and README.
* Tue Feb 17 2015 coolo@suse.com
- initial package 0.006
  * created by cpanspec 1.78.08
